4

I have the option to upgrade to 8.1, but before I do I want to see if anyone has had any compatibility issues. I mainly run ESRI, but occasionally use QGIS, and other open source products. Has anyone ran into any compatibility issues with 8.1 and any GIS software?

closed as too broad by PolyGeo Aug 23 '15 at 6:08

Please edit the question to limit it to a specific problem with enough detail to identify an adequate answer. Avoid asking multiple distinct questions at once. See the How to Ask page for help clarifying this question. If this question can be reworded to fit the rules in the help center, please edit the question.

  • 2
    Can't comment on QGIS but you need at least 10.2.1 if you are going to upgrade to Windows 8.1 – Hornbydd Nov 12 '14 at 15:59
  • 1
    Minimum QGIS version I've tried which works on Windows 8.1 is QGIS 2.2 but the latest version of QGIS (2.6) also works fine. But even without compatibility issues with GIS softwares, I personally wouldn't upgrade to Windows 8.1 (waste of money if you ask me!). – Joseph Nov 12 '14 at 16:24
  • 1
    You can't dual-boot with Ubuntu... – DPSSpatial Nov 12 '14 at 17:15
  • 2
    I'm currently running ArcGIS 10.2.2 and ArcPro Pre-release on Windows 8.1 update (Surface Pro 3) and they run as well there as on my Windows 7 64 bit. I haven't used QGIS much on the 8.1 Update Surface Pro, but 2.4 ran fine when I did. QGIS 2.6 installed okay on another 8.1 update machine but it hasn't really been tested on it beyond opening and viewing some datasets. I haven't had any compatibility issues with any of my software on 8.1 update. – johns Nov 12 '14 at 17:48
  • 1
    Personally, I am skipping the whole Windows 8 train wreck. Windows 7 is working fine so no reason to upgrade. If you do any custom add-in development, I would advise to make sure that VS express 2010 can still be installed and functioning and that tools compile and work correctly in Windows 8.1. – Jakub Sisak GeoGraphics Nov 12 '14 at 21:08